Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.config.heuristic.selector.value
Class ValueSelectorConfig

    java.lang.Object
      org.optaplanner.core.config.heuristic.selector.SelectorConfig
          org.optaplanner.core.config.heuristic.selector.value.ValueSelectorConfig

    public class ValueSelectorConfig

extends SelectorConfig

Field Summary
`protected SelectionCacheType` | `cacheType`
`protected Class<?>` | `downcastEntityClass`
`protected NearbySelectionConfig` | `nearbySelectionConfig`
`protected Class<? extends SelectionProbabilityWeightFactory>` | `probabilityWeightFactoryClass`
`protected Long` | `selectedCountLimit`
`protected SelectionOrder` | `selectionOrder`
`protected Class<? extends SelectionSorter>` | `sorterClass`
`protected Class<? extends Comparator>` | `sorterComparatorClass`
`protected ValueSorterManner` | `sorterManner`
`protected SelectionSorterOrder` | `sorterOrder`
`protected Class<? extends SelectionSorterWeightFactory>` | `sorterWeightFactoryClass`
`protected String` | `variableName`

Constructor Summary
`ValueSelectorConfig()`

Method Summary
`protected ValueSelector` | `applyInitializedChainedValueFilter(HeuristicConfigPolicy configPolicy, GenuineVariableDescriptor variableDescriptor, SelectionCacheType resolvedCacheType, SelectionOrder resolvedSelectionOrder, ValueSelector valueSelector)`
`ValueSelector` | `buildValueSelector(HeuristicConfigPolicy configPolicy, EntityDescriptor entityDescriptor, SelectionCacheType minimumCacheType, SelectionOrder inheritedSelectionOrder)`
`protected boolean` | `determineBaseRandomSelection(GenuineVariableDescriptor variableDescriptor, SelectionCacheType resolvedCacheType, SelectionOrder resolvedSelectionOrder)`
`protected EntityDescriptor` | `downcastEntityDescriptor(HeuristicConfigPolicy configPolicy, EntityDescriptor entityDescriptor)`
`SelectionCacheType` | `getCacheType()`
`Class<?>` | `getDowncastEntityClass()`
`NearbySelectionConfig` | `getNearbySelectionConfig()`
`Class<? extends SelectionProbabilityWeightFactory>` | `getProbabilityWeightFactoryClass()`
`Long` | `getSelectedCountLimit()`
`SelectionOrder` | `getSelectionOrder()`
`Class<? extends SelectionSorter>` | `getSorterClass()`
`Class<? extends Comparator>` | `getSorterComparatorClass()`
`ValueSorterManner` | `getSorterManner()`
`SelectionSorterOrder` | `getSorterOrder()`
`Class<? extends SelectionSorterWeightFactory>` | `getSorterWeightFactoryClass()`
`String` | `getVariableName()`
`void` | `inherit(ValueSelectorConfig inheritedConfig)`
`protected boolean` | `isBaseInherentlyCached(GenuineVariableDescriptor variableDescriptor)`
`void` | `setCacheType(SelectionCacheType cacheType)`
`void` | `setDowncastEntityClass(Class<?> downcastEntityClass)`
`void` | `setNearbySelectionConfig(NearbySelectionConfig nearbySelectionConfig)`
`void` | `setProbabilityWeightFactoryClass(Class<? extends SelectionProbabilityWeightFactory> probabilityWeightFactoryClass)`
`void` | `setSelectedCountLimit(Long selectedCountLimit)`
`void` | `setSelectionOrder(SelectionOrder selectionOrder)`
`void` | `setSorterClass(Class<? extends SelectionSorter> sorterClass)`
`void` | `setSorterComparatorClass(Class<? extends Comparator> sorterComparatorClass)`
`void` | `setSorterManner(ValueSorterManner sorterManner)`
`void` | `setSorterOrder(SelectionSorterOrder sorterOrder)`
`void` | `setSorterWeightFactoryClass(Class<? extends SelectionSorterWeightFactory> sorterWeightFactoryClass)`
`void` | `setVariableName(String variableName)`
`String` | `toString()`

Methods inherited from class org.optaplanner.core.config.heuristic.selector.SelectorConfig
`deduceEntityDescriptor, deduceVariableDescriptor, deduceVariableDescriptors, inherit, validateCacheTypeVersusSelectionOrder`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### downcastEntityClass

    protected Class<?> downcastEntityClass

### variableName

    protected String variableName

### cacheType

    protected SelectionCacheType cacheType

### selectionOrder

    protected SelectionOrder selectionOrder

### nearbySelectionConfig

    protected NearbySelectionConfig nearbySelectionConfig

### sorterManner

    protected ValueSorterManner sorterManner

### sorterComparatorClass

    protected Class<? extends Comparator> sorterComparatorClass

### sorterWeightFactoryClass

    protected Class<? extends SelectionSorterWeightFactory> sorterWeightFactoryClass

### sorterOrder

    protected SelectionSorterOrder sorterOrder

### sorterClass

    protected Class<? extends SelectionSorter> sorterClass

### probabilityWeightFactoryClass

    protected Class<? extends SelectionProbabilityWeightFactory> probabilityWeightFactoryClass

### selectedCountLimit

    protected Long selectedCountLimit

Constructor Detail

### ValueSelectorConfig

    public ValueSelectorConfig()

Method Detail

### getDowncastEntityClass

    public Class<?> getDowncastEntityClass()

### setDowncastEntityClass

    public void setDowncastEntityClass(Class<?> downcastEntityClass)

### getVariableName

    public String getVariableName()

### setVariableName

    public void setVariableName(String variableName)

### getCacheType

    public SelectionCacheType getCacheType()

### setCacheType

    public void setCacheType(SelectionCacheType cacheType)

### getSelectionOrder

    public SelectionOrder getSelectionOrder()

### setSelectionOrder

    public void setSelectionOrder(SelectionOrder selectionOrder)

### getNearbySelectionConfig

    public NearbySelectionConfig getNearbySelectionConfig()

### setNearbySelectionConfig

    public void setNearbySelectionConfig(NearbySelectionConfig nearbySelectionConfig)

### getSorterManner

    public ValueSorterManner getSorterManner()

### setSorterManner

    public void setSorterManner(ValueSorterManner sorterManner)

### getSorterComparatorClass

    public Class<? extends Comparator> getSorterComparatorClass()

### setSorterComparatorClass

    public void setSorterComparatorClass(Class<? extends Comparator> sorterComparatorClass)

### getSorterWeightFactoryClass

    public Class<? extends SelectionSorterWeightFactory> getSorterWeightFactoryClass()

### setSorterWeightFactoryClass

    public void setSorterWeightFactoryClass(Class<? extends SelectionSorterWeightFactory> sorterWeightFactoryClass)

### getSorterOrder

    public SelectionSorterOrder getSorterOrder()

### setSorterOrder

    public void setSorterOrder(SelectionSorterOrder sorterOrder)

### getSorterClass

    public Class<? extends SelectionSorter> getSorterClass()

### setSorterClass

    public void setSorterClass(Class<? extends SelectionSorter> sorterClass)

### getProbabilityWeightFactoryClass

    public Class<? extends SelectionProbabilityWeightFactory> getProbabilityWeightFactoryClass()

### setProbabilityWeightFactoryClass

    public void setProbabilityWeightFactoryClass(Class<? extends SelectionProbabilityWeightFactory> probabilityWeightFactoryClass)

### getSelectedCountLimit

    public Long getSelectedCountLimit()

### setSelectedCountLimit

    public void setSelectedCountLimit(Long selectedCountLimit)

### buildValueSelector

    public ValueSelector buildValueSelector(HeuristicConfigPolicy configPolicy,
                                            EntityDescriptor entityDescriptor,
                                            SelectionCacheType minimumCacheType,
                                            SelectionOrder inheritedSelectionOrder)

  Parameters:
    `configPolicy` - never null
    `entityDescriptor` - never null
    `minimumCacheType` - never null, If caching is used (different from `SelectionCacheType.JUST_IN_TIME`), then it should be at least this `SelectionCacheType` because an ancestor already uses such caching and less would be pointless.
    `inheritedSelectionOrder` - never null
  Returns:
    never null

### downcastEntityDescriptor

    protected EntityDescriptor downcastEntityDescriptor(HeuristicConfigPolicy configPolicy,
                                                        EntityDescriptor entityDescriptor)

### determineBaseRandomSelection

    protected boolean determineBaseRandomSelection(GenuineVariableDescriptor variableDescriptor,
                                                   SelectionCacheType resolvedCacheType,
                                                   SelectionOrder resolvedSelectionOrder)

### isBaseInherentlyCached

    protected boolean isBaseInherentlyCached(GenuineVariableDescriptor variableDescriptor)

### applyInitializedChainedValueFilter

    protected ValueSelector applyInitializedChainedValueFilter(HeuristicConfigPolicy configPolicy,
                                                               GenuineVariableDescriptor variableDescriptor,
                                                               SelectionCacheType resolvedCacheType,
                                                               SelectionOrder resolvedSelectionOrder,
                                                               ValueSelector valueSelector)

### inherit

    public void inherit(ValueSelectorConfig inheritedConfig)

### toString

    public String toString()

  Overrides:
    `toString` in class `SelectorConfig`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2014 JBoss by Red Hat. All Rights Reserved.